Subject: How to solve the problem of ChiRK on PC

From: Bo Yang <[email-masked]>
Date: Mon, 4 May 1992 20:59:36 -0700

D-P Deng <[email-masked]> writes:
        > XiaoFei Wang <[email-masked]> writes:
                >>I connect to unix from a PC via telnet.
                >> I obtained and compiled Chirk and the problem I
                >> am running into is that the second page overrides the
                >> first page ...... What is wrong?
        > I had the problem before, but didn't know how to modify the codes.
        > To solve it, you need to know how to clear it up from the keyboard.
        > So I clear it up after each page and then read the next page.

It seems that a lot of people are having problems with their PCs connected to
a unix machine when trying to work with ChiRK. This simply is because the
terminal emulation programs of their PCs are using screen-clear control codes
diffrent from those used by DEC VT240/330, GraphON, or Xterm.

In file control.h of ChiRK, string 'Tekclearst' is defined as {ESC, 12, GS, \0},
piping those characters to one of the terminals mentioned above will clear the
graphics screen, so next page cab be displayed. You could look through the
menual of your terminal emulator and replace 'Tekclearstr' with the one you've
found.

Same with 'Tekinitstr'( graphics mode initialization), 'Tekoverstr'( text mode
initialization), if you have problems with switching between graphics and text
modes

Good luck.

-- Yang, Bo --			Chirk yourselves up!